<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::structural_sequence_segmentation_trainer&lt; feature_extractor &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1structural__sequence__segmentation__trainer.html">structural_sequence_segmentation_trainer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1structural__sequence__segmentation__trainer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::structural_sequence_segmentation_trainer&lt; feature_extractor &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:af9157769198b6e5e28cf3cd9b978c4e3"><td class="memItemLeft" align="right" valign="top"><a id="af9157769198b6e5e28cf3cd9b978c4e3"></a>
typedef feature_extractor::sequence_type&#160;</td><td class="memItemRight" valign="bottom"><b>sample_sequence_type</b></td></tr>
<tr class="separator:af9157769198b6e5e28cf3cd9b978c4e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdc6b9dfeab47126c55ec2d50b093722"><td class="memItemLeft" align="right" valign="top"><a id="afdc6b9dfeab47126c55ec2d50b093722"></a>
typedef std::vector&lt; std::pair&lt; unsigned long, unsigned long &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>segmented_sequence_type</b></td></tr>
<tr class="separator:afdc6b9dfeab47126c55ec2d50b093722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73a60e53d6d1bc3cb2090cd39f1f090b"><td class="memItemLeft" align="right" valign="top"><a id="a73a60e53d6d1bc3cb2090cd39f1f090b"></a>
typedef <a class="el" href="classdlib_1_1sequence__segmenter.html">sequence_segmenter</a>&lt; feature_extractor &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>trained_function_type</b></td></tr>
<tr class="separator:a73a60e53d6d1bc3cb2090cd39f1f090b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a04a65c49851cf1bedfd65cc5722051ed"><td class="memItemLeft" align="right" valign="top"><a id="a04a65c49851cf1bedfd65cc5722051ed"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>structural_sequence_segmentation_trainer</b> (const feature_extractor &amp;fe_)</td></tr>
<tr class="separator:a04a65c49851cf1bedfd65cc5722051ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b580262d2074cf32bb7339226fa9b6f"><td class="memItemLeft" align="right" valign="top"><a id="a8b580262d2074cf32bb7339226fa9b6f"></a>
const feature_extractor &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_feature_extractor</b> () const</td></tr>
<tr class="separator:a8b580262d2074cf32bb7339226fa9b6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02ab397f4550377767da7a5acc677d08"><td class="memItemLeft" align="right" valign="top"><a id="a02ab397f4550377767da7a5acc677d08"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_num_threads</b> (unsigned long num)</td></tr>
<tr class="separator:a02ab397f4550377767da7a5acc677d08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad526bc26a6296e01d17ca7f3d86c399c"><td class="memItemLeft" align="right" valign="top"><a id="ad526bc26a6296e01d17ca7f3d86c399c"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_threads</b> () const</td></tr>
<tr class="separator:ad526bc26a6296e01d17ca7f3d86c399c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0dda55d2ef85e7539553e4e2ee047b9"><td class="memItemLeft" align="right" valign="top"><a id="ab0dda55d2ef85e7539553e4e2ee047b9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_epsilon</b> (double eps_)</td></tr>
<tr class="separator:ab0dda55d2ef85e7539553e4e2ee047b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac83a5b1b8af36a742caf85432ca6e3ae"><td class="memItemLeft" align="right" valign="top"><a id="ac83a5b1b8af36a742caf85432ca6e3ae"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_epsilon</b> () const</td></tr>
<tr class="separator:ac83a5b1b8af36a742caf85432ca6e3ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a673a2d65f637a3759af9a8e2f946528c"><td class="memItemLeft" align="right" valign="top"><a id="a673a2d65f637a3759af9a8e2f946528c"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_iterations</b> () const</td></tr>
<tr class="separator:a673a2d65f637a3759af9a8e2f946528c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6f9f603aef5ecb2343f50d2b27182e3"><td class="memItemLeft" align="right" valign="top"><a id="af6f9f603aef5ecb2343f50d2b27182e3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_iterations</b> (unsigned long max_iter)</td></tr>
<tr class="separator:af6f9f603aef5ecb2343f50d2b27182e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acabbb5486d097115ff4f5a23c47da0dc"><td class="memItemLeft" align="right" valign="top"><a id="acabbb5486d097115ff4f5a23c47da0dc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_cache_size</b> (unsigned long max_size)</td></tr>
<tr class="separator:acabbb5486d097115ff4f5a23c47da0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a909db873fef1dca5cc67e089bad18c66"><td class="memItemLeft" align="right" valign="top"><a id="a909db873fef1dca5cc67e089bad18c66"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_cache_size</b> () const</td></tr>
<tr class="separator:a909db873fef1dca5cc67e089bad18c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1aeba12d920975c22b1c20a05b80155e"><td class="memItemLeft" align="right" valign="top"><a id="a1aeba12d920975c22b1c20a05b80155e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_verbose</b> ()</td></tr>
<tr class="separator:a1aeba12d920975c22b1c20a05b80155e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae65d4ad8f52f222b06f94e81b4f741f2"><td class="memItemLeft" align="right" valign="top"><a id="ae65d4ad8f52f222b06f94e81b4f741f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_quiet</b> ()</td></tr>
<tr class="separator:ae65d4ad8f52f222b06f94e81b4f741f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2897bcacd6dccb18f6be27fb351b76a"><td class="memItemLeft" align="right" valign="top"><a id="ad2897bcacd6dccb18f6be27fb351b76a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_oca</b> (const <a class="el" href="classdlib_1_1oca.html">oca</a> &amp;item)</td></tr>
<tr class="separator:ad2897bcacd6dccb18f6be27fb351b76a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a765ea5a8920e6a57c389bcbbc7574ff8"><td class="memItemLeft" align="right" valign="top"><a id="a765ea5a8920e6a57c389bcbbc7574ff8"></a>
const <a class="el" href="classdlib_1_1oca.html">oca</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_oca</b> () const</td></tr>
<tr class="separator:a765ea5a8920e6a57c389bcbbc7574ff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95683d89a9381601781af6dfebd93db4"><td class="memItemLeft" align="right" valign="top"><a id="a95683d89a9381601781af6dfebd93db4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c</b> (double C_)</td></tr>
<tr class="separator:a95683d89a9381601781af6dfebd93db4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a476c6d0f385dd2d2b39de8b86bf184ae"><td class="memItemLeft" align="right" valign="top"><a id="a476c6d0f385dd2d2b39de8b86bf184ae"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_c</b> () const</td></tr>
<tr class="separator:a476c6d0f385dd2d2b39de8b86bf184ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95466db4af1ddb45ac47b2d749ba2798"><td class="memItemLeft" align="right" valign="top"><a id="a95466db4af1ddb45ac47b2d749ba2798"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_loss_per_missed_segment</b> (double loss)</td></tr>
<tr class="separator:a95466db4af1ddb45ac47b2d749ba2798"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a188aa03b2d0a7773ef15156ec89e547d"><td class="memItemLeft" align="right" valign="top"><a id="a188aa03b2d0a7773ef15156ec89e547d"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_loss_per_missed_segment</b> () const</td></tr>
<tr class="separator:a188aa03b2d0a7773ef15156ec89e547d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3832e286418ff7d44420c31c521f1c83"><td class="memItemLeft" align="right" valign="top"><a id="a3832e286418ff7d44420c31c521f1c83"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_loss_per_false_alarm</b> (double loss)</td></tr>
<tr class="separator:a3832e286418ff7d44420c31c521f1c83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04fe35dd1ef5c20af14d6b57efcb25e6"><td class="memItemLeft" align="right" valign="top"><a id="a04fe35dd1ef5c20af14d6b57efcb25e6"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_loss_per_false_alarm</b> () const</td></tr>
<tr class="separator:a04fe35dd1ef5c20af14d6b57efcb25e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9670828533b14f1a192e7b8c0bceecfb"><td class="memItemLeft" align="right" valign="top"><a id="a9670828533b14f1a192e7b8c0bceecfb"></a>
const <a class="el" href="classdlib_1_1sequence__segmenter.html">sequence_segmenter</a>&lt; feature_extractor &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>train</b> (const std::vector&lt; sample_sequence_type &gt; &amp;x, const std::vector&lt; segmented_sequence_type &gt; &amp;y) const</td></tr>
<tr class="separator:a9670828533b14f1a192e7b8c0bceecfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a212553b5a7d8e7acbe49b0b7335e985f"><td class="memItemLeft" align="right" valign="top"><a id="a212553b5a7d8e7acbe49b0b7335e985f"></a>
<a class="el" href="classdlib_1_1structural__sequence__labeling__trainer.html">structural_sequence_labeling_trainer</a>&lt; <a class="el" href="classdlib_1_1impl__ss_1_1feature__extractor.html">impl_ss::feature_extractor</a>&lt; feature_extractor &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>trainer</b></td></tr>
<tr class="separator:a212553b5a7d8e7acbe49b0b7335e985f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84af50924502e87a441abe80c6d2846a"><td class="memItemLeft" align="right" valign="top"><a id="a84af50924502e87a441abe80c6d2846a"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>loss_per_missed_segment</b></td></tr>
<tr class="separator:a84af50924502e87a441abe80c6d2846a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a048b156a1148931be6b6ebf05a134fdc"><td class="memItemLeft" align="right" valign="top"><a id="a048b156a1148931be6b6ebf05a134fdc"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>loss_per_false_alarm</b></td></tr>
<tr class="separator:a048b156a1148931be6b6ebf05a134fdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="structural__sequence__segmentation__trainer_8h_source.html">structural_sequence_segmentation_trainer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
